 
![Fatdog64 logo](img/fatdog64-header.png)


# BluRay support

The VLC media player in Fatdog64 can support BluRay playback. For that to work you must install a file containing the keys. The name of the file is **KEYDB.cfg** and is placed in **~/.config/aacs/**. The KEYDB.cfg file provides processing keys and a host key that provides decryption. The processing keys are changed occasionally. The revision of the processing keys corresponds to the Media Key Block (MKB) version. Currently there are KEYDB.cfg files that support up to MKB version 30. Another optional file named **vuk** which would also be placed in **~/.config/aacs/**, contains keys that are specific to a particular disk. The vuk keys can also be combined into the KEYDB.cfg file.  
**Steps to play a BluRay in Fatdog64:**  
1) Check your local laws to see if it is legal for you to play the disks that you own. Sadly that's not a joke.  
2) Find a [KEYDB.cfg](http://www.labdv.com/aacs/advanced-users.php) file and put it in ~/.config/aacs, for most users you'll have it here: **/root/.config/KEYDB.cfg**  
3) Click on the optical disk icon on your desktop. VLC should play the Bluray.  
If it does not play it probably means that your KEYDB.cfg doesn't have a key to support the MKB version of your disk.  
A good page to look at for more information is [here](https://wiki.archlinux.org/index.php/BluRay).  


----

[Fatdog64](home.md)
| [FAQ index](faq.md)
| [FAQ files](faq_file_list.md)
| [Fatdog64 online](https://distro.ibiblio.org/fatdog/web)
| [FAQ online](https://distro.ibiblio.org/fatdog/web/faqs/faq.html)

----

_This page was automatically converted from [bluray.html](https://distro.ibiblio.org/fatdog/web/faqs/bluray.html) on 2025-01-09._
