 
![Fatdog64 logo](img/fatdog64-header.png)


# Additional software packages

To install additional packages, open Fatdog64 Control Panel, navigate to the **System** tab, and from there launch the **Gslapt Package Manager**. The user interface should be intuitive enough for you to use. Gslapt will automatically install other packages needed ("dependencies").

Alternatively, you can download packages directly from the link given in the home page. When the download is completed, use the file manager (ROX-Filer) to open the folder that contains the downloaded file, right-click on the file and choose 'Install Package'. *Do not try to install the package directly from the browser without downloading it first* - **it will definitely fail.** The web browser (Firefox/Seamonkey) doesn't have permission to install packages (as explained in [browser security](firefox-spot.md)).

### Using packages from earlier Fatdog64 series 

In general, there are two issues when you try to use software packages designed for earlier Fatdog64 release.

**First**, the packaging format. Starting from Fatdog64 700 series, Fatdog64 uses Slackware-style TXZ packages, replacing the PET package format commonly used in Puppy Linux derivative, including previous Fatdog64 series (500 and 600). This can easily be overcome - Fatdog64 comes with a tool to convert PET packages into TXZ package format. Just do a right-click on any PET package in ROX-filer and choose *Convert to TXZ package* menu entry.

**Second**, library compatibility. This is a general issue when trying to install foreign packages (packages that are not specifically built for the target distro). A package is always built with a certain assumptions: assumptions that specific libraries exist, and are at specific versions; assumption that some files are located in some directories; assumption that some dependent programs exist and they are located in certain locations. These assumptions may or may not be true in the target distro. Packages from previous Fatdogs are counted as "foreign" packages are far as compatibility is concerned; thus there is always a chance of them not working; or worse: they break the system.

To be very safe, you can try installing old packages in the [sandbox environment](sandbox.md) and see if they work - if they do, that's fine, otherwise you can easily recover from bad packages just by exiting the sandbox.


----

[Fatdog64](home.md)
| [FAQ index](faq.md)
| [FAQ files](faq_file_list.md)
| [Fatdog64 online](https://distro.ibiblio.org/fatdog/web)
| [FAQ online](https://distro.ibiblio.org/fatdog/web/faqs/faq.html)

----

_This page was automatically converted from [fd-packages.html](https://distro.ibiblio.org/fatdog/web/faqs/fd-packages.html) on 2025-01-09._
