 
![Fatdog64 logo](img/fatdog64-header.png)


# Where to get rEFInd boot loader

rEFInd is a very nice boot loader / boot manager written by Rod Smith. It's official home page is [here](http://www.rodsbooks.com/refind/).

Fatdog64 uses rEFInd as its primary boot loader; and an official copy of rEFInd is included in Fatdog ISO. You can always find it at **/usr/share/refind-bin-xxxx/refind** (the "xxx" refers to version number, it's version 0.11.2 as of Fatdog64 720). This is often not the latest version, if you really need the latest version it is available from [rEFInd's download page](http://www.rodsbooks.com/refind/getting.html).

Alternatively, you can also use and get the version of rEFInd that is used to boot the Fatdog ISO. This is usually an even older version than what you find above, so it's not recommended - but if you want to, you can get it from **efiboot.img**. This file is inside the Fatdog ISO. All you need to do is (double-)click it, and a new ROX-Filer window will open.

For older version of Fatdogs (older than 720), here are the steps to do it.

1.  Make sure there is nothing mounted on /mnt/data
2.  On ROX Filer, click (or double-click) Fatdog ISO to open its contents.
3.  Within that ROX-Filer window that shows the ISO contents, right-click and choose "Terminal Here". A new terminal window will open.
4.  From that terminal: run the command **mountpoint /mnt/data** to check it. Make sure it says it is **\*\*NOT\*\*** a mountpoint.
5.  Mount the efiboot.img read only: run the command **mount -o ro efiboot.img /mnt/data**. When done, open a ROX-Filter window by running **rox /mnt/data**.
6.  The ROX-Filer window on /mnt/data contains rEFInd boot loader. Copy it as necessary.
7.  When done, close the ROX-Filer /mnt/data.
8.  From the same terminal in the previous steps, run command **umount /mnt/data**
9.  Then close the terminal.
10. Close the Fatdog ISO.

  
Note: If you choose to install refind from efiboot.img, please note "**drivers_x64**" (or **drivers** for older Fatdogs) folder is located at the top folder, not inside **EFI/Boot**. In this case, these drivers are not activated and are not loaded at boot. If you need to use any of these, you will need to move the **drivers_x64** and place it inside **EFI/Boot**.  
For more information please refer to [refind website](http://www.rodsbooks.com/refind/). Or, if you have devx loaded, copy of the information is available in **/usr/share/doc/refind-xxxx**.  


----

[Fatdog64](home.md)
| [FAQ index](faq.md)
| [FAQ files](faq_file_list.md)
| [Fatdog64 online](https://distro.ibiblio.org/fatdog/web)
| [FAQ online](https://distro.ibiblio.org/fatdog/web/faqs/faq.html)

----

_This page was automatically converted from [get-refind.html](https://distro.ibiblio.org/fatdog/web/faqs/get-refind.html) on 2025-01-09._
