 
![Fatdog64 logo](img/fatdog64-header.png)


# Sound problems?

If your sound is not working, it could be that Fatdog64 just doesn't have a driver for it. Or more likely, the volume is muted or the wrong sound card has been chosen as the default. Even if you only have one sound card, often that card will have several functions driven by different drivers, so it looks like multiple sound cards to Fatdog64.

The volume icon in the task bar only adjusts the Master volume, not any other channels. To adjust the other volume settings, open AlsaMixer, found under Sound in the Control Panel or by clicking on the sound icon in the panel and selecting "Mixer". This application does not use the mouse. You'll need to use the arrow keys to move and adjust the volumes.

The **m** key mutes and unmutes a channel. Note that you can turn the volume up on a channel and still have it muted, so make sure that mute is off if you want a setting to be in effect. At the bottom of each channel it should show **00**, if it shows **MM** it's muted.

**Headphones and external speakers:** Also in AlsaMixer, the Auto-Mute column allows you to choose what happens when headphones or other speakers are plugged in: whether the built-in speakers will be muted or still play.  Use the up and down arrows to select.

To select the default sound card start the Fatdog Default Soundcard Wizard, found in Sound in the Control Panel. Select the device to use as the default and then use AlsaMixer again to make sure everything is turned up and unmuted. You also use the same wizard to send audio to a bluetooth device.


----

[Fatdog64](home.md)
| [FAQ index](faq.md)
| [FAQ files](faq_file_list.md)
| [Fatdog64 online](https://distro.ibiblio.org/fatdog/web)
| [FAQ online](https://distro.ibiblio.org/fatdog/web/faqs/faq.html)

----

_This page was automatically converted from [sound.html](https://distro.ibiblio.org/fatdog/web/faqs/sound.html) on 2025-01-09._
