 
![Fatdog64 logo](img/fatdog64-header.png)


# Adding application icons to desktop

Fatdog64 features a clean desktop - that is, a desktop which contains only minimal sets of icons. There are no more application icons on the desktop by default (this contrast with earlier Fatdogs and Puppies where the original desktop contains application icons for text editing, drawing, wordprocessing, spreadsheet, etc).

The applications themselves still exist; they are accessible from menu.

If this does not cater to your style, then it is easy to re-create the application icons on the desktop. There are two ways to do it:

1.  Tear down menu items from the "Fatdog" menu.  
    Open the Fatdog Menu as usual, click and drag the application from the menu entry that you like to the desktop, and release the mouse button, and voila! You've got yourself an icon. You may need to right-click that icon and choose "Edit item" to change the name of applications etc as needed (primarily to remove the ".desktop" as part of the name).  
    Doing this will not remove the entry from the "Fatdog" menu.
2.  Use Rox-Filer to drag and drop icons from "/usr/share/applications" folder.  
    Open ROX-Filer, and point it to "/usr/share/applications". This is the folder that contains most of application entries. Drag and drop one of these to the desktop, and an application icon will be created on the desktop. As above, you may need to "Edit item" to modify the display.

**Note:** Method \#1 can only be used with razor-panel (Fatdog 700) or lxqt-panel (Fatdog 710 onwards) or another EWMH compliant panel. "Lxpanel" (the older panel used in earlier Fatdogs) and panel provided by "jwm" are **not** compliant and you cannot use this method.

  


----

[Fatdog64](home.md)
| [FAQ index](faq.md)
| [FAQ files](faq_file_list.md)
| [Fatdog64 online](https://distro.ibiblio.org/fatdog/web)
| [FAQ online](https://distro.ibiblio.org/fatdog/web/faqs/faq.html)

----

_This page was automatically converted from [clean-desktop.html](https://distro.ibiblio.org/fatdog/web/faqs/clean-desktop.html) on 2025-01-09._
