 
![Fatdog64 logo](img/fatdog64-header.png)


# Firewall setup 

Fatdog 700 features [eztables firewall](http://eztables.net/), replacing the pre-historic firewall package used in earlier Fatdogs. Eztables firewall is more sophisticated and offer more features than the previous firewall package, yet the configuration is still simple.

Configuration is done by editing */etc/eztables/eztables.cfg*. The default configuration enables you to browse web, do time sync with Internet time servers, and connect to remote servers using SSH. It also enables you to connect to your desktop remotely using SSH (note: SSH service is disabled by default). If this setting is not suitable for you, edit this file first before enabling the firewall.

The detailed documentation on how to edit this is available at /usr/share/doc/eztables but this directory only exists on devx. Alternatively you may want to visit the online documentation (but beware that these always documents the latest version, so they may or may not apply with the version of eztables used in Fatdog):

- <https://github.com/louwrentius/eztables/blob/master/MANUAL.md>
- <https://github.com/louwrentius/eztables/blob/master/EXAMPLES.md>

The firewall is disabled by default. To enable it, open Fatdog Control Panel, choose "System" tab, and launch "Manage Services" (or you can do the same by running *`fatdog-service-manager.sh`*), and click "Start" to start the service this one time; or click "Enable" so that it will be enabled at every reboot.


----

[Fatdog64](home.md)
| [FAQ index](faq.md)
| [FAQ files](faq_file_list.md)
| [Fatdog64 online](https://distro.ibiblio.org/fatdog/web)
| [FAQ online](https://distro.ibiblio.org/fatdog/web/faqs/faq.html)

----

_This page was automatically converted from [firewall.html](https://distro.ibiblio.org/fatdog/web/faqs/firewall.html) on 2025-01-09._
