 
![Fatdog64 logo](img/fatdog64-header.png)


# urxvt (rxvt-unicode) tips

## Introduction

[urxvt (aka rxvt-unicode)](http://software.schmorp.de/pkg/rxvt-unicode.html) is is a fork of the well known terminal emulator rxvt, with unicode support. It aims to be small (smaller than xterm in terms of memory usage), fast, and complete.

## Known issues

### Some characters look funny

There can be many causes for why this happens. A common reason is that the font in use does not include the referenced character. This should be fixed by using a more complete font or a fallback font.  
Note: the default font, "DejaVu Sans", is very complete.

### Powerline fonts

Fatdog sets urxvt's X resource **URxvt\*letterSpace: -1** to reduce the inter-letter spacing of the default monospace font (DejaVu Sans Mono), so it displays nice and tight, not wasting screen width. However, this spacing can be too small for Powerline fonts, and makes urxvt display boxes. Try changing **-1** to **0** or even **1** to help urxvt display the special characters correctly. This will make the terminal window wider. Note: This setting is defined in **/etc/X11/app-defaults/URxvt** (which you can override by creating an entry in file in **~/.Xdefaults** or **~/.Xresources**).

  


----

[Fatdog64](home.md)
| [FAQ index](faq.md)
| [FAQ files](faq_file_list.md)
| [Fatdog64 online](https://distro.ibiblio.org/fatdog/web)
| [FAQ online](https://distro.ibiblio.org/fatdog/web/faqs/faq.html)

----

_This page was automatically converted from [urxvt.html](https://distro.ibiblio.org/fatdog/web/faqs/urxvt.html) on 2025-01-09._
